GNU bug report logs - #58561
Source hash mismatch with aggregator + possible guix bug with hashes.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: mail@HIDDEN; dated Sun, 16 Oct 2022 03:43:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 58561 <at> debbugs.gnu.org:


Received: (at 58561) by debbugs.gnu.org; 17 Oct 2022 18:29:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 17 14:29:25 2022
Received: from localhost ([127.0.0.1]:49955 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1okUrc-0002QO-Tj
	for submit <at> debbugs.gnu.org; Mon, 17 Oct 2022 14:29:25 -0400
Received: from mail-40134.protonmail.ch ([185.70.40.134]:25921)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <phodina@HIDDEN>) id 1okUra-0002Q7-LA
 for 58561 <at> debbugs.gnu.org; Mon, 17 Oct 2022 14:29:23 -0400
Date: Mon, 17 Oct 2022 18:29:07 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail3; t=1666031356; x=1666290556;
 bh=MktP1jLL/+U131amRyiPZ0k7pejX+2sSDt5xcZWtf+0=;
 h=Date:To:From:Cc:Subject:Message-ID:In-Reply-To:References:
 Feedback-ID:From:To:Cc:Date:Subject:Reply-To:Feedback-ID:
 Message-ID;
 b=t1lWfKpmjXyQ03z2wwoHUJSblYnNiBBK9laqp/DQOj/m5ZBw6PqNxmaP5niKMFmFf
 oEC0AN7480z8plRNF5pDdl6z2oAV4wmf7yqPbn1xyAvGemnva7uUhmjyXPMOwEOu/K
 t4q6ACYieRmRaUAVozEnmbd1+/1kh5cPCTCK6rkqiJxxKUqyas/WGk+hL3lyl4g9u7
 bh/ykKZswDjsmY+wVJvuZqv35dgFaN+3VPgwzj2A+1paEh5JsRGPPM0X41uDg2KzHv
 ocm3qDQcLZSqDErSjR9nmyORMzLu0YFRGjYTRzsUw2OGWpnkk3SsM/QSFEfJS3t642
 03eQqivNTdB9A==
To: zimoun <zimon.toutoune@HIDDEN>
From: phodina <phodina@HIDDEN>
Subject: Re: bug#58561: Source hash mismatch with aggregator + possible guix
 bug with hashes.
Message-ID: <muCLn_HU-VEtXeZqesLqhiEToNBiXSY7zLfLZGlUbib8EsEJ2oNvjH4PYU4Zq36Si7HS-KkfUGozEUys-gZycFxvIef54FQf5h1OjBq7SUM=@protonmail.com>
In-Reply-To: <87y1ten8jy.fsf@HIDDEN>
References: <0df50579-d645-5a43-d558-4c49e503bb57@HIDDEN>
 <87y1ten8jy.fsf@HIDDEN>
Feedback-ID: 14143818:user:proton
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 58561
Cc: 58561 <at> debbugs.gnu.org, mail@HIDDEN, Marius Bakke <marius@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Simon,

> Indeed, commit 6971feca53a19d60fdd2b39fb2a8966ccf1d6598 pushed on
> core-updates reads,
>=20
> --8<---------------cut here---------------start------------->8---
>=20
> (define-public akregator
> (package
> (name "akregator")
> - (version "21.12.3")
> + (version "22.04.3")
> (source
> (origin
> (method url-fetch)
> (uri (string-append "mirror://kde/stable/release-service/" version
> "/src/akregator-" version ".tar.xz"))
> (sha256
> - (base32 "1yy5c29zxpli4cddknmdvjkgii3j7pvw6lhwqfrqjc8jh83gm8f8"))))
> + (base32 "9yy5c29zxpli4cddknmdvjkgii3j7pvw6lhwqfrqjc8jh83gm8f8"))))
> (build-system qt-build-system)
> --8<---------------cut here---------------end--------------->8---
>=20
> > Is there a bug with how guix is reading/writing sha256 hashes?
>=20
>=20
> Is it a mistake here? A human-typo replacing =E2=80=991=E2=80=99 by =
=E2=80=999=E2=80=99? Or
> something else? Petr?

It's just typo. I used mostly guix refresh for large part of the packages. =
Guess I updated this one manually or somehow cast wrong incantation in Vim.

Sorry for my mistake. I tried to check most of the changes I made in the pa=
tch series but this one slipped through in the many rounds of rebuilding Qt=
 and KDE.


----
Petr




Information forwarded to bug-guix@HIDDEN:
bug#58561; Package guix. Full text available.

Message received at 58561 <at> debbugs.gnu.org:


Received: (at 58561) by debbugs.gnu.org; 17 Oct 2022 11:42:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 17 07:42:20 2022
Received: from localhost ([127.0.0.1]:47548 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1okOVg-0005hw-7d
	for submit <at> debbugs.gnu.org; Mon, 17 Oct 2022 07:42:20 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36192)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <marius@HIDDEN>) id 1okOVf-0005hk-3f
 for 58561 <at> debbugs.gnu.org; Mon, 17 Oct 2022 07:42:19 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45764)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <marius@HIDDEN>)
 id 1okOVZ-0008B4-8v; Mon, 17 Oct 2022 07:42:13 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:Date:References:In-Reply-To:Subject:To:
 From; bh=nHg/bstkUYH2NewUYjc6qZ1BWRS2sXeldfI3bwerLlg=; b=jZ+Z2fGIgQBRzPDxYk6Y
 JO2s8gILrC1MHKwOUg9aRgbN4gcNcdrhcPHRha9Z3MC4E+r6+ISuktLSERyjOjE1qCvN4kZFeOV6o
 Pcxrsq4S9561HRFNqVsiWOLpaTPzl94gxXFqTUdLLs/VrAKWqlQnw7TnENn/oj7SQPvJPKHQX5Dww
 Zi+zM0Q6DQMGnzcSXVkzNwOWtImeHpBZJejmAhS2mY80re9V0EKLV4nPhv2vQQTLNnA4dikR2k1Lt
 n4uc3HSE3vgs/7DJoNKIMzXSQKqDxknjqn80paKMbYg500rIlId5vGxt43AUvbxAHhEi4x/MKhRR+
 LDTHljr4EqBivw==;
Received: from [84.211.203.64] (port=58184 helo=localhost)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <marius@HIDDEN>)
 id 1okOVY-0003bE-4U; Mon, 17 Oct 2022 07:42:12 -0400
From: Marius Bakke <marius@HIDDEN>
To: phodina <phodina@HIDDEN>, 'Brendan Tildesley <mail@HIDDEN>
Subject: Re: bug#58561: [PATCH 2/2] gnu: akregator: Fix build.
In-Reply-To: <qMv1jTO83l-VeFp2xUua6OBkyPS0Ys41BbsxuOYIlCPgWmvrHcEmZKXBKcXuQvqeyVZNbs5Uy8hGEX7xvJbRRr9IwWlE19DNvqCWbKYhmZE=@protonmail.com>
References: <20221016043321.23138-1-mail@HIDDEN>
 <qMv1jTO83l-VeFp2xUua6OBkyPS0Ys41BbsxuOYIlCPgWmvrHcEmZKXBKcXuQvqeyVZNbs5Uy8hGEX7xvJbRRr9IwWlE19DNvqCWbKYhmZE=@protonmail.com>
Date: Mon, 17 Oct 2022 13:42:07 +0200
Message-ID: <87pmeqvfqo.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58561
Cc: 58561 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain

phodina via Bug reports for GNU Guix <bug-guix@HIDDEN> skriver:

> Hi,
>
> unfortunately incorrect hash was pushed in the last patchset.
>
> The patch is already part of the next patch series [1].
>
> Also it's tracked here [2].
>
> 1 https://github.com/phodina/guix/commit/4636279dfb3b96eb5836baad0d8ea36e58ff79ee
> 2 https://issues.guix.gnu.org/57608#8

Whoops, I had missed these patches and pushed similar fixes to 'master':

  8681d90d50 gnu: akgregator: Fix source hash.
  3d8c243efb gnu: akgregator: Fix build.

Sorry for the duplicate work Brendan & Petr!

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIUEARYKAC0WIQRNTknu3zbaMQ2ddzTocYulkRQQdwUCY00/kA8cbWFyaXVzQGdu
dS5vcmcACgkQ6HGLpZEUEHfxCQEAlSB4Na7mgTUUburrKUnn2XUQew/g2ZWdumJV
CkjTIs8A/Rc5dDnjmtaTfXDtXkwmfvMqwNllKoZM6CWWs2ifnm4L
=Rhy5
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#58561; Package guix. Full text available.

Message received at 58561 <at> debbugs.gnu.org:


Received: (at 58561) by debbugs.gnu.org; 17 Oct 2022 09:31:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 17 05:31:03 2022
Received: from localhost ([127.0.0.1]:47359 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1okMSc-0008CY-OR
	for submit <at> debbugs.gnu.org; Mon, 17 Oct 2022 05:31:03 -0400
Received: from mail-wr1-f52.google.com ([209.85.221.52]:44604)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1okMSa-0008BX-Tb
 for 58561 <at> debbugs.gnu.org; Mon, 17 Oct 2022 05:31:01 -0400
Received: by mail-wr1-f52.google.com with SMTP id r13so17511264wrj.11
 for <58561 <at> debbugs.gnu.org>; Mon, 17 Oct 2022 02:31:00 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:message-id:date:references:in-reply-to:subject:cc:to
 :from:from:to:cc:subject:date:message-id:reply-to;
 bh=E9r/4i2uSvEnXX+eIfa0euRvrdSCsptVa3btmsCXu7o=;
 b=YsO/MTly3RwusNGzoIQsy9BU49QKqe8LKTdmNWTSE1EX/ExBlhaMpCCVGvuBD8VI0F
 h97EmyKrPMMHNU8zLfw9JCYRxF326Uh733/XWLKz2kXpBIUE4X7FMveXRJ9OSBcTwm/r
 yRqbReYixFBZOXNbCpvmbaT2uJ/d/ghAst/e/BhB5EgFwaoSltVSWm6Jq+uDO1tMrolD
 LjlbJtuIeKzW5tMcPTv+0ri5tf34T1d3VF8YE7oG3fFCy5J+7tzB7nqngeJSclPi4AVv
 eLW+is84QZPbDTXByOKTmkM9tI04Kq7YejXkTY9R163dZ8vv50lHGOb28Sh0w+3CTFXM
 pepQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:message-id:date:references:in-reply-to:subject:cc:to
 :from:x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=E9r/4i2uSvEnXX+eIfa0euRvrdSCsptVa3btmsCXu7o=;
 b=t27gHn0dA+KMeaUnruw0jc2h5fDygMcpKyh6ISQYJrFflntRIryei6GR/11D91YJSN
 ov2FHf3tlW+wZ50AUmaVEEMaNviYpzu7ImN+dfB/ukAVVEizlxIQ4bzO8muUBHKSq+iS
 u42ZHnr97wvXDzQhFuhHenooRVTXZAxdxuVOb3AKP3seHCYX41BzPM7zClnqj2YDBeCj
 hnHsRW3bb5Bj+MNyAEf009ovdpXCRj0fmXocjXPrpy62mzOXeliuJbUl1dMxVBLqWwd0
 qvYfegoU0WZtrPzcarqJ2pqB4aYLx8YWZLk235FPhJZaLU6Kp5fzqvsoNxRtipn4ISDc
 z2Cg==
X-Gm-Message-State: ACrzQf3/gpU27JVE4zFUNQQX5Z/nsgsQdxzICVNZWopMTtEa7BESwP9I
 9ZVgQYl/x7Q+RLtoRGHfgIXgPh7XqWw=
X-Google-Smtp-Source: AMsMyM4kTypOJ2J2zJEKM6rvMA0yVCZZuwTNHwLATxizPrLls8DjeNxAsy0SSQquOMn/Y0tzlpnfGA==
X-Received: by 2002:adf:ce8b:0:b0:22c:dea6:6ea with SMTP id
 r11-20020adfce8b000000b0022cdea606eamr5468524wrn.387.1665999055355; 
 Mon, 17 Oct 2022 02:30:55 -0700 (PDT)
Received: from pfiuh07 ([193.48.40.241]) by smtp.gmail.com with ESMTPSA id
 q1-20020a056000136100b002301c026acasm7981512wrz.85.2022.10.17.02.30.54
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 17 Oct 2022 02:30:55 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>, mail@HIDDEN
Subject: Re: bug#58561: Source hash mismatch with aggregator + possible guix
 bug with hashes.
In-Reply-To: <87y1tgulqk.fsf@nckx>
References: <0df50579-d645-5a43-d558-4c49e503bb57@HIDDEN>
 <87y1tgulqk.fsf@nckx>
Date: Mon, 17 Oct 2022 10:49:02 +0200
Message-ID: <87tu42n8ch.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58561
Cc: 58561 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Tobias,

On dim., 16 oct. 2022 at 11:45, Tobias Geerinckx-Rice via Bug reports for GNU Guix <bug-guix@HIDDEN> wrote:

> Oh!  This is a fun one!

Oh, cool!  Thanks for explaining. 


> What Guix could do is refuse to continue when it detects set 
> higher bits, as they always indicate programmer error.

Do you mean another linter?  Or something else?  As a field checker?


Cheers,
simon




Information forwarded to bug-guix@HIDDEN:
bug#58561; Package guix. Full text available.

Message received at 58561 <at> debbugs.gnu.org:


Received: (at 58561) by debbugs.gnu.org; 17 Oct 2022 09:31:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 17 05:31:02 2022
Received: from localhost ([127.0.0.1]:47356 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1okMSc-0008CE-84
	for submit <at> debbugs.gnu.org; Mon, 17 Oct 2022 05:31:02 -0400
Received: from mail-wm1-f46.google.com ([209.85.128.46]:45009)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1okMSa-0008BV-EI
 for 58561 <at> debbugs.gnu.org; Mon, 17 Oct 2022 05:31:00 -0400
Received: by mail-wm1-f46.google.com with SMTP id
 bg9-20020a05600c3c8900b003bf249616b0so9532729wmb.3
 for <58561 <at> debbugs.gnu.org>; Mon, 17 Oct 2022 02:31:00 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:references
 :in-reply-to:subject:cc:to:from:from:to:cc:subject:date:message-id
 :reply-to; bh=ID8Yk9BR/zwd0N5EohjFm8tPCDhtUrcRdt5kUlQXSQw=;
 b=FSsgC6M0VHc1XkGgfdav80TzNbOc0VG5efG06WksJiLpADYUoUqQwByCWVQ5ISrcJd
 f08Tfdg8Pt6/knXJZve5/0SoDEi3WS3Vp9+4pJhYIPyyxffGPapted7IJlKTCJAOMS8s
 f5vi/xSiXnimAND4KTyHuB7q4Z2KTatKbEA7m4GcFE+hx76g/i1xUo+d1A2C0oxCPq2A
 7bGKjln1jHyoakRE5CsSOpd7j6+FZFDJcS9XJTG3CxLL9r09HghXgi+sF8GeFBaNe/oe
 HA7t0W4wYfea7Fn9LUWLuy0KPXntWEohLUi2/B2W8j6VBtM0duVVuqYAUGK750BGTPRk
 sfvg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:references
 :in-reply-to:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=ID8Yk9BR/zwd0N5EohjFm8tPCDhtUrcRdt5kUlQXSQw=;
 b=2G/I0KF/lIvOvqQ3YIUhtqJ9TdYeh0xINWrpQamy+YU91tZ9Jo7FWSc8bugXU4nIvB
 gL9qqQYifRfhWmRMQaTjNt62abTEvvxoRfNqWmSTBCharh1XHwGPWV6w7WLVf4t1vJwh
 A/mDqzaPauh1eedR32LgIhAkzUko+sLWLrXEuMhxrfbaMi6xzJSaHAg3pSl/5QZSZdhq
 YGfBqsi+LjYo86Sq8oPUA47LMANQ3Jxzv0dlFu8DkoF4hPb2wRNrir6aSijFwxDLYFpe
 NXkzTUDfzmQzCyOXpHF2MMHIC8BwdHiEVBmq2/QioIzkHG9Pb4qcMZ5f9BLnfBsxUCg8
 wiUg==
X-Gm-Message-State: ACrzQf1x6wQxe2YLSuhl6wCJPTVKIHpFLRvS2FT+E0AmR6KcVr0cAevq
 QQ4ZpQ2ALm7+TUrghEyWf2Y=
X-Google-Smtp-Source: AMsMyM4AeaWivegEEua3DkyVOlc+dngoTAjCavmMaQ9A7sC+bHmr5p6UreoQY9AwymGSpWO6ZJnXnQ==
X-Received: by 2002:a05:600c:1989:b0:3c6:fabb:ea73 with SMTP id
 t9-20020a05600c198900b003c6fabbea73mr1150653wmq.19.1665999054611; 
 Mon, 17 Oct 2022 02:30:54 -0700 (PDT)
Received: from pfiuh07 ([193.48.40.241]) by smtp.gmail.com with ESMTPSA id
 h8-20020a5d4308000000b0022cdb687bf9sm9825496wrq.0.2022.10.17.02.30.54
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 17 Oct 2022 02:30:54 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: mail@HIDDEN, 58561 <at> debbugs.gnu.org
Subject: Re: bug#58561: Source hash mismatch with aggregator + possible guix
 bug with hashes.
In-Reply-To: <0df50579-d645-5a43-d558-4c49e503bb57@HIDDEN>
References: <0df50579-d645-5a43-d558-4c49e503bb57@HIDDEN>
Date: Mon, 17 Oct 2022 10:44:33 +0200
Message-ID: <87y1ten8jy.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58561
Cc: phodina <phodina@HIDDEN>, Marius Bakke <marius@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

I am also confused.

On dim., 16 oct. 2022 at 14:42, Brendan Tildesley <mail@HIDDEN> wrote:

> sha256 hash mismatch for=20
> /gnu/store/iv6ixlrvh0swq22fjal0cbfbr9ayaq7m-akregator-22.04.3.tar.xz:
>  =C2=A0 expected hash: 1yy5c29zxpli4cddknmdvjkgii3j7pvw6lhwqfrqjc8jh83gm8=
f8
>  =C2=A0 actual hash: 08n713271i7ifnbrgwrqmxvcpvj45wfqjiidw8zf9rpwxg2m2m9g
>
>
> However what concerned me more is that when I look in the source code it=
=20
> looks like this:
>
> (sha256
>  =C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (base32 "9yy5c29zxpli4cddknmd=
vjkgii3j7pvw6lhwqfrqjc8jh83gm8f8"))
>
> Notice how at the start its a '9', not a '1'?


Indeed, commit 6971feca53a19d60fdd2b39fb2a8966ccf1d6598 pushed on
core-updates reads,

--8<---------------cut here---------------start------------->8---
 (define-public akregator
   (package
     (name "akregator")
-    (version "21.12.3")
+    (version "22.04.3")
     (source
      (origin
        (method url-fetch)
        (uri (string-append "mirror://kde/stable/release-service/" version
                            "/src/akregator-" version ".tar.xz"))
        (sha256
-        (base32 "1yy5c29zxpli4cddknmdvjkgii3j7pvw6lhwqfrqjc8jh83gm8f8"))))
+        (base32 "9yy5c29zxpli4cddknmdvjkgii3j7pvw6lhwqfrqjc8jh83gm8f8"))))
     (build-system qt-build-system)
--8<---------------cut here---------------end--------------->8---

> Is there a bug with how guix is reading/writing sha256 hashes?

Is it a mistake here?  A human-typo replacing =E2=80=991=E2=80=99 by =E2=80=
=999=E2=80=99?  Or
something else?  Petr?


Then, indeed KDE did a in-place replacement since the hash is now,

--8<---------------cut here---------------start------------->8---
$ guix download https://mirrors.xtom.de/kde/stable/release-service/22.04.3/=
src/akregator-22.04.3.tar.xz

Starting download of /tmp/guix-file.JTZn04
From https://mirrors.xtom.de/kde/stable/release-service/22.04.3/src/akregat=
or-22.04.3.tar.xz...
 =E2=80=A6.04.3.tar.xz  2.2MiB                                             =
               22.2MiB/s 00:00 [##################] 100.0%
/gnu/store/w4jqrza9ffsflim5ilwq7jr75rxicn1g-akregator-22.04.3.tar.xz
08n713271i7ifnbrgwrqmxvcpvj45wfqjiidw8zf9rpwxg2m2m9g
--8<---------------cut here---------------end--------------->8---

as submitted in patch#57608 [1].

1: <https://issues.guix.gnu.org/57608#1>


Cheers,
simon




Information forwarded to bug-guix@HIDDEN:
bug#58561; Package guix. Full text available.

Message received at 58561 <at> debbugs.gnu.org:


Received: (at 58561) by debbugs.gnu.org; 16 Oct 2022 10:04:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 16 06:04:52 2022
Received: from localhost ([127.0.0.1]:43450 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ok0Vo-0003xd-IS
	for submit <at> debbugs.gnu.org; Sun, 16 Oct 2022 06:04:52 -0400
Received: from tobias.gr ([80.241.217.52]:52098)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1ok0Vn-0003xV-3x
 for 58561 <at> debbugs.gnu.org; Sun, 16 Oct 2022 06:04:51 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=DthG5qdmTbwtY
 w1pi/0VLG48J7kEwWXYXqTKfPPztgU=;
 h=in-reply-to:date:subject:cc:to:
 from:references; d=tobias.gr; b=OPNOPJRV2wxON/aMjp6Dnh2eo/QphPuP0szPBr
 wISn5MoM8DnastvTcKajFsk8W3tSE7efKTOJaWifjPaZsgLbcR72Q3pY6UAbCk8hIiaGGK
 IL3hsPmp0Up+keCyZRDWhZCmk8Mme++nipkr5DZpK6ZD5emd3/gMpHNzboIVa5mzz9qXQa
 sgKi6uNQ2VPg/wDfm76G+6S5YFmjvrPYROT/e6c7eM8hQHothhIt4YdbcvtFRDET7/m49r
 0aRFBWwzzOBeLzgErG3FZDTlL+GmsBnyU3ne0OFWbqxE1EuqSkA9YzFP7bo3POahB/7X40
 R3dyJPh5wgtl/jYeiiltJAWA==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id e77b18a0
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Sun, 16 Oct 2022 10:04:42 +0000 (UTC)
References: <0df50579-d645-5a43-d558-4c49e503bb57@HIDDEN>
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: mail@HIDDEN
Subject: Re: bug#58561: Source hash mismatch with aggregator + possible guix
 bug with hashes.
Date: Sun, 16 Oct 2022 11:45:00 +0200
In-reply-to: <0df50579-d645-5a43-d558-4c49e503bb57@HIDDEN>
BIMI-Selector: v=BIMI1; s=default;
Message-ID: <87y1tgulqk.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 58561
Cc: bug-guix@HIDDEN, 58561 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Hi Brendan,

Oh!  This is a fun one!

Brendan Tildesley =E5=86=99=E9=81=93=EF=BC=9A
> However what concerned me more is that when I look in the source=20
> code
> it looks like this:
>
> (sha256
> =C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (base32=20
> "9yy5c29zxpli4cddknmdvjkgii3j7pvw6lhwqfrqjc8jh83gm8f8"))
>
>
> Notice how at the start its a '9', not a '1'?
[=E2=80=A6]
> Is there a bug with how guix is reading/writing sha256 hashes?

It's=E2=80=A6 not a bug.  It's the opposite, kind of, although maybe=20
(probably) Guix could (should) reject clearly bogus input like=20
this.

What's happening is this:

In what can be described only as a bizarre coincidence, sha256=20
produces hashes that are 256 bits long.

Base32=C2=B9 encodes 5 bits per character.  Our =E2=80=98hash=E2=80=99 stri=
ngs are=20
currently 52 characters long, meaning they encode 260 bits.

If you poke around Guix, you'll notice that every valid base32=20
=E2=80=98sha256=E2=80=99 hash starts with a 0 or a 1, because those 4 leftm=
ost=20
bits are never used, and hence set to zero.

In the case of this "9=E2=80=A6" =E2=80=98hash=E2=80=99 (which was random d=
ata, I guess?),=20
Guix still reads only 256 bits of the 260, and ignores those 4=20
=E2=80=98extra=E2=80=99 leftmost bits.

When it later prints the hash, it converts those 256 bits back to=20
base32, now padded with zeroes, and you see a =E2=80=98hash=E2=80=99 starti=
ng with=20
1.

What Guix could do is refuse to continue when it detects set=20
higher bits, as they always indicate programmer error.

Kind regards,

T G-R

1: Guix uses =E2=80=98nix-base32=E2=80=99 which uses a slightly different a=
lphabet=20
from the more common base32 variant, but is otherwise identical in=20
operation.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCY0vXcw0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15c10BAO5xfaxF596dkXKYFwiyK69C6UJNNSt5BU7cQSkY
E7T8AQCRXN+NGyaaE5UuIrJsVusUp22uf0rny4EtIYp8Kpx7Cw==
=A3ki
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#58561; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Oct 2022 10:05:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 16 06:05:01 2022
Received: from localhost ([127.0.0.1]:43454 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ok0Vw-0003y2-TD
	for submit <at> debbugs.gnu.org; Sun, 16 Oct 2022 06:05:01 -0400
Received: from lists.gnu.org ([209.51.188.17]:60588)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1ok0Vs-0003xs-Uz
 for submit <at> debbugs.gnu.org; Sun, 16 Oct 2022 06:04:59 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:39270)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1ok0Vs-0003im-OI
 for bug-guix@HIDDEN; Sun, 16 Oct 2022 06:04:56 -0400
Received: from tobias.gr ([2a02:c205:2020:6054::1]:58708)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1ok0Vq-0002vw-Nx
 for bug-guix@HIDDEN; Sun, 16 Oct 2022 06:04:56 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=DthG5qdmTbwtY
 w1pi/0VLG48J7kEwWXYXqTKfPPztgU=;
 h=in-reply-to:date:subject:cc:to:
 from:references; d=tobias.gr; b=OPNOPJRV2wxON/aMjp6Dnh2eo/QphPuP0szPBr
 wISn5MoM8DnastvTcKajFsk8W3tSE7efKTOJaWifjPaZsgLbcR72Q3pY6UAbCk8hIiaGGK
 IL3hsPmp0Up+keCyZRDWhZCmk8Mme++nipkr5DZpK6ZD5emd3/gMpHNzboIVa5mzz9qXQa
 sgKi6uNQ2VPg/wDfm76G+6S5YFmjvrPYROT/e6c7eM8hQHothhIt4YdbcvtFRDET7/m49r
 0aRFBWwzzOBeLzgErG3FZDTlL+GmsBnyU3ne0OFWbqxE1EuqSkA9YzFP7bo3POahB/7X40
 R3dyJPh5wgtl/jYeiiltJAWA==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id e77b18a0
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Sun, 16 Oct 2022 10:04:42 +0000 (UTC)
References: <0df50579-d645-5a43-d558-4c49e503bb57@HIDDEN>
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: mail@HIDDEN
Subject: Re: bug#58561: Source hash mismatch with aggregator + possible guix
 bug with hashes.
Date: Sun, 16 Oct 2022 11:45:00 +0200
In-reply-to: <0df50579-d645-5a43-d558-4c49e503bb57@HIDDEN>
BIMI-Selector: v=BIMI1; s=default;
Message-ID: <87y1tgulqk.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
Received-SPF: pass client-ip=2a02:c205:2020:6054::1; envelope-from=me@HIDDEN;
 helo=tobias.gr
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
Cc: bug-guix@HIDDEN, 58561 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Hi Brendan,

Oh!  This is a fun one!

Brendan Tildesley =E5=86=99=E9=81=93=EF=BC=9A
> However what concerned me more is that when I look in the source=20
> code
> it looks like this:
>
> (sha256
> =C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (base32=20
> "9yy5c29zxpli4cddknmdvjkgii3j7pvw6lhwqfrqjc8jh83gm8f8"))
>
>
> Notice how at the start its a '9', not a '1'?
[=E2=80=A6]
> Is there a bug with how guix is reading/writing sha256 hashes?

It's=E2=80=A6 not a bug.  It's the opposite, kind of, although maybe=20
(probably) Guix could (should) reject clearly bogus input like=20
this.

What's happening is this:

In what can be described only as a bizarre coincidence, sha256=20
produces hashes that are 256 bits long.

Base32=C2=B9 encodes 5 bits per character.  Our =E2=80=98hash=E2=80=99 stri=
ngs are=20
currently 52 characters long, meaning they encode 260 bits.

If you poke around Guix, you'll notice that every valid base32=20
=E2=80=98sha256=E2=80=99 hash starts with a 0 or a 1, because those 4 leftm=
ost=20
bits are never used, and hence set to zero.

In the case of this "9=E2=80=A6" =E2=80=98hash=E2=80=99 (which was random d=
ata, I guess?),=20
Guix still reads only 256 bits of the 260, and ignores those 4=20
=E2=80=98extra=E2=80=99 leftmost bits.

When it later prints the hash, it converts those 256 bits back to=20
base32, now padded with zeroes, and you see a =E2=80=98hash=E2=80=99 starti=
ng with=20
1.

What Guix could do is refuse to continue when it detects set=20
higher bits, as they always indicate programmer error.

Kind regards,

T G-R

1: Guix uses =E2=80=98nix-base32=E2=80=99 which uses a slightly different a=
lphabet=20
from the more common base32 variant, but is otherwise identical in=20
operation.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCY0vXcw0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15c10BAO5xfaxF596dkXKYFwiyK69C6UJNNSt5BU7cQSkY
E7T8AQCRXN+NGyaaE5UuIrJsVusUp22uf0rny4EtIYp8Kpx7Cw==
=A3ki
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#58561; Package guix. Full text available.

Message received at 58561 <at> debbugs.gnu.org:


Received: (at 58561) by debbugs.gnu.org; 16 Oct 2022 05:39:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 16 01:39:38 2022
Received: from localhost ([127.0.0.1]:43114 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ojwN8-0008N0-Hm
	for submit <at> debbugs.gnu.org; Sun, 16 Oct 2022 01:39:38 -0400
Received: from mail-4322.protonmail.ch ([185.70.43.22]:11823)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <phodina@HIDDEN>) id 1ojwN3-0008Me-7t
 for 58561 <at> debbugs.gnu.org; Sun, 16 Oct 2022 01:39:37 -0400
Date: Sun, 16 Oct 2022 05:39:16 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail3; t=1665898766; x=1666157966;
 bh=IUNCkbBbvoMZ82LmykEJbw3DW+CiNV1lEiFWZSESw3E=;
 h=Date:To:From:Cc:Subject:Message-ID:In-Reply-To:References:
 Feedback-ID:From:To:Cc:Date:Subject:Reply-To:Feedback-ID:
 Message-ID;
 b=Hs5j6nPpW37Qs3NWY3iGMBBqlXvUOyOoxCzC1oNQ67PVLU6Nyx4BQ/vdeKmLHmF0+
 Df2JMHbnHOZttbI2/nKfvmyE0M8DmY+dEJ+zUH1GxFj9Qi3YKdeN4MinSTnHAmDHEJ
 QMFb5caFQcHh6yGFH4oNfFRxy44v/QSxurE0UKf+q25Tzs/VdlBMW8ND6VcbyY6tIS
 cnKus5rpy2rJjP9TOLsTPx4G/5cimSBQSU6jPpkV8C2v/Tyu0Lxz1QSUrbyU0vkjYs
 0qBwQehWr4SpdAnch0bObnbMFbdWFM2eto9/2FeKJDuLCJRJok/YLiRLe4GRAIT0MF
 PYmPH5NcNUKRw==
To: 'Brendan Tildesley <mail@HIDDEN>
From: phodina <phodina@HIDDEN>
Subject: Re: [PATCH 2/2] gnu: akregator: Fix build.
Message-ID: <qMv1jTO83l-VeFp2xUua6OBkyPS0Ys41BbsxuOYIlCPgWmvrHcEmZKXBKcXuQvqeyVZNbs5Uy8hGEX7xvJbRRr9IwWlE19DNvqCWbKYhmZE=@protonmail.com>
In-Reply-To: <20221016043321.23138-1-mail@HIDDEN>
References: <20221016043321.23138-1-mail@HIDDEN>
Feedback-ID: 14143818:user:proton
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 58561
Cc: 58561 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

unfortunately incorrect hash was pushed in the last patchset.

The patch is already part of the next patch series [1].

Also it's tracked here [2].

1 https://github.com/phodina/guix/commit/4636279dfb3b96eb5836baad0d8ea36e58=
ff79ee
2 https://issues.guix.gnu.org/57608#8

----
Petr




Sent with Proton Mail secure email.

------- Original Message -------
On Sunday, October 16th, 2022 at 6:33 AM, 'Brendan Tildesley <mail@brendan.=
scot> wrote:


> From: Brendan Tildesley mail@HIDDEN
>=20
>=20
> * gnu/packages/kde.scm (akregator)[phases]: Fix finding
> QtWebEngineProcess path.
> ---
> gnu/packages/kde.scm | 5 ++---
> 1 file changed, 2 insertions(+), 3 deletions(-)
>=20
> diff --git a/gnu/packages/kde.scm b/gnu/packages/kde.scm
> index 37125b1d0b..d0ffb28505 100644
> --- a/gnu/packages/kde.scm
> +++ b/gnu/packages/kde.scm
> @@ -167,9 +167,8 @@ (define-public akregator
> (lambda* (#:key inputs outputs #:allow-other-keys)
> (let* ((out (assoc-ref outputs "out"))
> (bin (string-append out "/bin/akregator"))
> - (qt-process-path (string-append
> - (assoc-ref inputs "qtwebengine-5")
> - "/lib/qt5/libexec/QtWebEngineProcess")))
> + (qt-process-path (search-input-file
> + inputs "/lib/qt5/libexec/QtWebEngineProcess")))
> (wrap-program bin
> `("QTWEBENGINEPROCESS_PATH" =3D (,qt-process-path)))))))))
> (native-inputs
> --
> 2.37.2




Information forwarded to bug-guix@HIDDEN:
bug#58561; Package guix. Full text available.

Message received at 58561 <at> debbugs.gnu.org:


Received: (at 58561) by debbugs.gnu.org; 16 Oct 2022 04:33:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 16 00:33:38 2022
Received: from localhost ([127.0.0.1]:43048 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ojvLF-00069x-O1
	for submit <at> debbugs.gnu.org; Sun, 16 Oct 2022 00:33:37 -0400
Received: from mout-p-201.mailbox.org ([80.241.56.171]:43028)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1ojvLD-00069i-OK
 for 58561 <at> debbugs.gnu.org; Sun, 16 Oct 2022 00:33:36 -0400
Received: from smtp2.mailbox.org (smtp2.mailbox.org [10.196.197.2])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-201.mailbox.org (Postfix) with ESMTPS id 4MqnLZ6N14z9sRJ;
 Sun, 16 Oct 2022 06:33:26 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1665894807;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding;
 bh=hMJY9FtHPQ5UdG0KfJyXPEFWQO263q11cAPrOe/eX9I=;
 b=xCxHGN/RHrWx4IO+mORntZOp/ckHzxzp++gOxcLkzB0gb0s4sfnaY+OY9CR1m87X1tTPtD
 9NzD94i2UKid11aOhBtjcKNsRwud0jahWNPAOjCzgds12hrJFtWymcQFJ+hZ8plX9Kh+YQ
 PWArz2Hl4udahRVtZk21irJVheTNESL3ZOR3ABDhVBE0KpXpkIvqKr51brX1NSFpPSKfJs
 FMnDR2gvcxlnKV/xsfLnK5gYgaew0QZ9H378kxcQpDmbnSzdDq4hMGX5r92iGYtYO3Nqtg
 w/INGCTyVRo6NaZqoiePicVzz51vqmQx0X2PqlIc4bK6bZ2fa0SpSjpBkeothg==
From: 'Brendan Tildesley <mail@HIDDEN>
To: 58561 <at> debbugs.gnu.org
Subject: [PATCH 2/2] gnu: akregator: Fix build.
Date: Sun, 16 Oct 2022 15:33:21 +1100
Message-Id: <20221016043321.23138-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 58561
Cc: phodina <phodina@HIDDEN>, Brendan Tildesley <mail@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

From: Brendan Tildesley <mail@HIDDEN>

* gnu/packages/kde.scm (akregator)[phases]: Fix finding
QtWebEngineProcess path.
---
 gnu/packages/kde.scm | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/kde.scm b/gnu/packages/kde.scm
index 37125b1d0b..d0ffb28505 100644
--- a/gnu/packages/kde.scm
+++ b/gnu/packages/kde.scm
@@ -167,9 +167,8 @@ (define-public akregator
            (lambda* (#:key inputs outputs #:allow-other-keys)
              (let* ((out (assoc-ref outputs "out"))
                     (bin (string-append out "/bin/akregator"))
-                    (qt-process-path (string-append
-                                       (assoc-ref inputs "qtwebengine-5")
-                                       "/lib/qt5/libexec/QtWebEngineProcess")))
+                    (qt-process-path (search-input-file
+                                      inputs "/lib/qt5/libexec/QtWebEngineProcess")))
                (wrap-program bin
                  `("QTWEBENGINEPROCESS_PATH" = (,qt-process-path)))))))))
     (native-inputs
-- 
2.37.2





Information forwarded to bug-guix@HIDDEN:
bug#58561; Package guix. Full text available.

Message received at 58561 <at> debbugs.gnu.org:


Received: (at 58561) by debbugs.gnu.org; 16 Oct 2022 04:13:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 16 00:13:43 2022
Received: from localhost ([127.0.0.1]:43014 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ojv1z-0003I0-Gf
	for submit <at> debbugs.gnu.org; Sun, 16 Oct 2022 00:13:43 -0400
Received: from mout-p-201.mailbox.org ([80.241.56.171]:59130)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1ojv1t-0003HF-9m
 for 58561 <at> debbugs.gnu.org; Sun, 16 Oct 2022 00:13:42 -0400
Received: from smtp2.mailbox.org (smtp2.mailbox.org [10.196.197.2])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-201.mailbox.org (Postfix) with ESMTPS id 4MqmvY4gh6z9sR6;
 Sun, 16 Oct 2022 06:13:29 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1665893609;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding;
 bh=ny6hFBIv1szUHQv47aeU9BueSsecARIohinZMt4CokM=;
 b=hR1ErcrX29181WDO9lHjXY8YFpFqEYfJswuDLyTh1CX1n3EtBO1XLZQDPEZERhxcrxfXph
 fbi4PHu9Ie5vgYTo7lg0G9g7jerWaLywRhxC0q2zseVgsyMlbyj6jDk0wW1BUk8C+Q5oPw
 V3CAeOarBomGWtx0UoZJpsMJcIzoS513/WJHedvTL3X9UjwSnl25HOwnZ3GJlyH/bNu98m
 HYM9qNya8/XnYb64arW+DEe3fFFMQmtGAaXIjcLaByJuJBc/gOykm19wD6UrND2BL2nV38
 f3c6JTQ5ANrUnj5P0q52HasorMLU3gwGhwsiFkvC84TcfQlOlBodggIJt5mfTw==
From: 'Brendan Tildesley <mail@HIDDEN>
To: 58561 <at> debbugs.gnu.org
Subject: [PATCH 1/2] gnu: akregator: Correct source hash.
Date: Sun, 16 Oct 2022 15:13:01 +1100
Message-Id: <20221016041301.2055-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 58561
Cc: phodina <phodina@HIDDEN>, Brendan Tildesley <mail@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

From: Brendan Tildesley <mail@HIDDEN>

* gnu/packages/kde.scm (akregator): Use correct hash.
---
 gnu/packages/kde.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/kde.scm b/gnu/packages/kde.scm
index 1d4321237a..37125b1d0b 100644
--- a/gnu/packages/kde.scm
+++ b/gnu/packages/kde.scm
@@ -158,7 +158,7 @@ (define-public akregator
        (uri (string-append "mirror://kde/stable/release-service/" version
                            "/src/akregator-" version ".tar.xz"))
        (sha256
-        (base32 "9yy5c29zxpli4cddknmdvjkgii3j7pvw6lhwqfrqjc8jh83gm8f8"))))
+        (base32 "08n713271i7ifnbrgwrqmxvcpvj45wfqjiidw8zf9rpwxg2m2m9g"))))
     (build-system qt-build-system)
     (arguments
      `(#:phases
-- 
2.37.2





Information forwarded to bug-guix@HIDDEN:
bug#58561; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Oct 2022 03:42:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 15 23:42:32 2022
Received: from localhost ([127.0.0.1]:42986 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ojuXn-0002Hu-MV
	for submit <at> debbugs.gnu.org; Sat, 15 Oct 2022 23:42:31 -0400
Received: from lists.gnu.org ([209.51.188.17]:60088)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1ojuXl-0002Hl-4k
 for submit <at> debbugs.gnu.org; Sat, 15 Oct 2022 23:42:31 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:54194)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>) id 1ojuXj-0003dR-Hg
 for bug-guix@HIDDEN; Sat, 15 Oct 2022 23:42:27 -0400
Received: from mout-p-201.mailbox.org ([2001:67c:2050:0:465::201]:56710)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_CHACHA20_POLY1305:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>) id 1ojuXh-0001cW-JY
 for bug-guix@HIDDEN; Sat, 15 Oct 2022 23:42:27 -0400
Received: from smtp1.mailbox.org (smtp1.mailbox.org
 [IPv6:2001:67c:2050:b231:465::1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-201.mailbox.org (Postfix) with ESMTPS id 4MqmCc5B1Rz9sQY
 for <bug-guix@HIDDEN>; Sun, 16 Oct 2022 05:42:20 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1665891740;
 h=from:from:reply-to:reply-to:subject:subject:date:date:
 message-id:message-id:to:to:cc:mime-version:mime-version:
 content-type:content-type: content-transfer-encoding:content-transfer-encoding;
 bh=qRnF5xahMaDYhU12+Qd3Tpe/QWVaBLK93LUBOeBqDrs=;
 b=qcqLGZjqlkJjLNOy1Bs41OXmkA5XnbdW6a711S/3mnBJB2UW2xIeemx662irIKAumK4oul
 4PJiHhPQZaLWDJnt6DaRWNhYmRIL+voiyQRwmomTgzXwTkDMg5aEuIxuVLRG6TcKDMQWJ7
 +mhKfmZVEPJdiVLsI9Xgx95wbz+A1p9eW6JbbRE/3c4x9P3tTYRka2N8h/IZC4hJ4a6rXu
 ijEgnFQqRWNt0MKJgyWEbsW6/6foXPK0UEgEisKZpyGewtPotNGbbnijuZQ/penZVcXAFl
 4F+qxNGV4dj/mIJSWkNiKfMrJ0neyc79o1th0zEP7pqJ7Shll1hME1PSsEO4Lw==
Message-ID: <0df50579-d645-5a43-d558-4c49e503bb57@HIDDEN>
Date: Sun, 16 Oct 2022 14:42:14 +1100
MIME-Version: 1.0
Content-Language: en-US
To: bug-guix@HIDDEN
From: Brendan Tildesley <mail@HIDDEN>
Subject: Source hash mismatch with aggregator + possible guix bug with hashes.
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 8bit
X-Rspamd-Queue-Id: 4MqmCc5B1Rz9sQY
Received-SPF: pass client-ip=2001:67c:2050:0:465::201;
 envelope-from=mail@HIDDEN; helo=mout-p-201.mailbox.org
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: mail@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

I'm getting this after the recent updates:

sha256 hash mismatch for 
/gnu/store/iv6ixlrvh0swq22fjal0cbfbr9ayaq7m-akregator-22.04.3.tar.xz:
   expected hash: 1yy5c29zxpli4cddknmdvjkgii3j7pvw6lhwqfrqjc8jh83gm8f8
   actual hash: 08n713271i7ifnbrgwrqmxvcpvj45wfqjiidw8zf9rpwxg2m2m9g


However what concerned me more is that when I look in the source code it 
looks like this:

(sha256
         (base32 "9yy5c29zxpli4cddknmdvjkgii3j7pvw6lhwqfrqjc8jh83gm8f8"))


Notice how at the start its a '9', not a '1'?

I've tried with both guix pull local repo and building from source.


Is there a bug with how guix is reading/writing sha256 hashes?





Acknowledgement sent to mail@HIDDEN:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#58561; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 17 Oct 2022 18:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.